<?php
// Înregistrare
if(isset($_POST['contnou']) == true){
    $trimmed = array_map('trim', $_POST);
    
    if (filter_var($trimmed['email'], FILTER_VALIDATE_EMAIL)) {
        $e = $dbc->real_escape_string($trimmed['email']);
        } else {
            $e_err = 'Utilizați o adresă de e-mail validă!';
        }

if (preg_match ('/^\w{4,20}$/', $trimmed['parola1']) ) {
        if ($trimmed['parola1'] == $trimmed['parola2']) {
            $p = $dbc->real_escape_string($trimmed['parola1']);
            } else {
                $err_p2 =  'Parolele nu sunt identice';
            }
        } else {
            $err_p1 = 'Introduceți o parolă validă';
        }
$termeni  = (isset($_POST['atermeni'])) ? 1 : 0;
$politica = (isset($_POST['apolitica'])) ? 1 : 0;
$stiri    = (isset($_POST['astiri'])) ? 1 : 0;	

if ($e && $p) {      		
    $resultce = $dbc->query("SELECT * FROM `utilizatori` WHERE `email`='{$e}' LIMIT 1") or die($dbc->error);	        
    if($resultce->num_rows == 1) {
        
       // $exist = 'Adresa de e-mail există în baza de date';
           
           }else{
            
    $a = md5(uniqid(rand(), true));
		
$query = "INSERT INTO `utilizatori`(`uid`, `level`, `limita`, `email`, `pass`, `prenume`, `nume`, `mobil`, `whatsapp`, `termeni`, `politica`, `stiri`, `moneda`, `activ`, `online`, `blk`, `recupa`, `data_r`, `data_m`) VALUES ('0', '0', '5', '$e', SHA('$p'), '', '', '', '', '$termeni', '$politica', '$stiri', 'RON', '$a', '0', '0', '0', NOW(), NOW())";
$result = $dbc->query($query)  or die($dbc->error);

//if($dbc->affected_rows == 1) {
  
require_once(SML.'Send_Mail.php');
$to = $trimmed['email'];
$subject = BASE_NAME." :: Confirmați Înregistrarea!";                    
$body = "<!DOCTYPE HTML>
      <head><meta http-equiv=\"Content-Type\" content=\text/html; charset=utf-8\">
      
      <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">
      <meta name=\"viewport\" content=\"width=device-width, initial-scale=1, user-scalable=no\">
      <title>Confirmarea înregistrării</title>
      </head>
      <body>
      <div style=\"margin:16px;width:800px;max-width:100%;\">
      
      <div style=\"margin:16px;padding:16px;\">
      <p>Bun găsit!</p>
      <p>Vă mulțumim că v-ați înregistrat pe site-ul ".BASE_NAME."!</p>
      <p>Pentru activarea contului dvs., mergeți cu clic pe link-ul de mai jos:<br/>
      (sau puteți copia adresa URL, apoi să o lipiți în browser)</p>\n\n";
$body .= '<p><a href="'. BASE_URL . 'load.php?page=activare&x=' . urlencode($e) . "&y=$a".'" target="_blank">'. BASE_URL . 'load.php?page=activare&x=' . urlencode($e) . "&y=$a".'</a></p>';
$body .= '<p><strong>Notă!</strong><br />
          <em>Dacă nu ați fost dumneavoastră persoana care s-a înregistrat pe site-ul '.BASE_NAME.', ignorați acest mesaj. Dacă nu este primul mesaj de acest fel, vă rugăm să ne transmiteți un răspuns scurt la acest e-mail. Mulțumim!</em></p>
          <p>---</p>
          <p>Salutări calde,<br />
              &nbsp;&nbsp;&nbsp;&nbsp; Echipa <a href="'. BASE_URL . '" style="text-decoration:none;">'.BASE_NAME.'</a></p>
          </div></div>
</body>
</html>';
                    
Send_Mail($to,$subject,$body);                    

$finalizat = '<h5 style="margin-top:4px;">Multumim pentru înregistrare!</h5><p>Un e-mail de confirmare a fost trimis la adresa dvs. Vă rugăm să faceți clic pe linkul din e-mailul respectiv, pentru a vă activa contul.</p>';				
 // }
  
  }
	  }else{
		$try = 'Încercați din nou.';		
	  }
 }
// Sfârșit de înregistrare


// Accesare
if(isset($_POST['acces']) == true){
    if (!empty($_POST['email'])) {
	  //$e = escape_data($_POST['email']);
      $e = $dbc->real_escape_string($_POST['email']);      
	}else{
      $e_err = 'Ați uitat să introduceți adresa de e-mail!';
	  $e = FALSE;
	     }
if (!empty($_POST['parola'])) {
	  //$p = escape_data($_POST['parola']);
      $p = $dbc->real_escape_string($_POST['parola']);      
	}else{
	  $p = FALSE;
      $p_err = 'Ați uitat să introduceți parola!';
	     }	
if($e && $p) {
    $resblk = $dbc->query("SELECT blk FROM utilizatori WHERE email='$e'")  or die($dbc->error);
    $rblk = $resblk->fetch_assoc();
    if(!empty($rblk['blk']) == '0'){
$query = "SELECT uid, level, email, prenume FROM utilizatori WHERE (email='$e' AND pass=SHA('$p')) AND activ IS NULL AND blk='0'";		
$result = $dbc->query($query)  or die($dbc->error);

    if($result->num_rows == 1) {
    
    $qon = "UPDATE `utilizatori` SET `online`='1' WHERE `email`='$e'";
    $ron = $dbc->query($qon)  or die($dbc->error);
    
   $row = $result->fetch_array(MYSQLI_NUM); 
   $result->free();
   //$dbc->close();     
     $_SESSION['user_id'] = $row[0];     
     $_SESSION['level']   = $row[1];
     $_SESSION['email']   = $row[2];
     $_SESSION['prenume'] = $row[3];     
     							
//$url = '/cont.html';
$url = $_SERVER["REQUEST_URI"];
ob_end_clean();
header("Location: $url");
exit();				
 }else{
	$err_login = 'Adresa de e-mail sau parola nu este validă ori contul dvs. nu este activat.';
	  }
  }else{
    $userblocat = "Contul dvs. a fost blocat";
  }		
		
	} else {
		$try = '<p>Încercați din nou</p>';		
	}
 }
// Sfârșit de accesare

// Părăsire sistem
if(isset($_POST['iesire']) == true){
    $qoff = "UPDATE `utilizatori` SET `online`='0' WHERE `email`='".$_SESSION['email']."'";
    $roff = $dbc->query($qoff) or die($dbc->error);   
    
	$_SESSION = array(); // Destroy the variables.
	session_destroy(); // Destroy the session itself.
	setcookie (session_name(), '', time()-300, '/', '', 0); // Destroy the cookie.    
    // Add the page.
	$url = $_SERVER["REQUEST_URI"];	
	ob_end_clean(); // Delete the buffer.
	header("Location: $url");
	exit(); // Quit the script.    
  }
// Sfârșit părăsire sistem

// Recuperare parola

if(isset($_POST['recuperareparola']) == true){
    
    $trimmed = array_map('trim', $_POST);
    
    $emailrec = $dbc->real_escape_string($trimmed['resetemail']);  
    
    
//$checkifemailuse = $dbc->query("SELECT `email`, `recupa` FROM `utilizatori` WHERE `email`='".$emailrec."' LIMIT 1") or die($dbc->error);

//if($checkifemailuse->num_rows == 1){
     
    // $rtimes = $checkifemailuse->fetch_assoc();
     
   //  if($rtimes['recupa'] == 9){
        
    //    $multetrimiteri = "Prea multe solicitări de recuperare a parolei. Vă rugăm să ne contactați!";
     
     //}else{
     

    $resultresemail = $dbc->query("SELECT * FROM `utilizatori` WHERE `email`='$emailrec' LIMIT 1") or die($dbc->error);
    $resuidrec = $resultresemail->fetch_assoc();
		
    if ($resultresemail->num_rows == 1) {		
        $a = md5(uniqid(rand(), true));
		
$query = $dbc->query("UPDATE `utilizatori` SET `activ`='$a' WHERE `uid`='".$resuidrec['uid']."'")  or die($dbc->error);

if($dbc->affected_rows == 1) {
  
require_once(SML.'Send_Mail.php');
$to      = $trimmed['resetemail'];
$subject = BASE_NAME." :: Recuperare parolă!";                    
$body    = "<!DOCTYPE HTML>
      <head>
      
      <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">
      <meta name=\"viewport\" content=\"width=device-width, initial-scale=1, user-scalable=no\">
      <title>Recuperare parolă</title>
      </head>
      <body>
      <div style=\"margin:16px;width:800px;max-width:100%;\">
      
      <div style=\"margin:16px;padding:16px;\">
      <p>Bun găsit!</p>
      <p>Acesta este un e-mail de recuperare a parolei de pe site-ul ".BASE_NAME."!</p>
      <p>Pentru a confirma această acțiune, mergeți cu clic pe link-ul de mai jos:<br/>
      (sau puteți copia adresa URL, apoi să o lipiți în browser)</p>\n\n";
$body .= '<p><a href="'. BASE_URL . 'load.php?page=recuperare&x=' . urlencode($emailrec) . "&y=$a".'" target="_blank">'. BASE_URL . 'load.php?page=recuperare&x=' . urlencode($emailrec) . "&y=$a".'</a></p>';
$body .= '<p>---</p>
          <p>Salutări calde,<br />
              &nbsp;&nbsp;&nbsp;&nbsp; Echipa <a href="'. BASE_URL . '" style="text-decoration:none;">'.BASE_NAME.'</a></p>
          </div></div>
</body>
</html>';
                    
Send_Mail($to,$subject,$body);
    

$finalizat = '<h5 style="margin-top:4px;">Procesul de recuperare a început!</h5><p>Un e-mail de confirmare a fost trimis la adresa dvs.<br/>Vă rugăm să faceți clic pe linkul din e-mailul respectiv, pentru a vă recupera parola.</p>';

      $url = PATH.'recuperareparola.html?status=parola_in_curs_de_resetare';
      ob_end_clean();
      header("Location: $url");
      exit();				
    }else{
        $sys_err = 'Eroare internă'; 
    }		
	
    
    }else{
		$nuexista = 'Această adresă de e-mail nu există în baza de date.'; 
		 
    }

     

// $timesrecupa = $dbc->query("UPDATE `utilizatori` SET `recupa`=`recupa`+1 WHERE `email`='".$emailrec."' LIMIT 1");
        
      //$finalizat = "Un e-mail a fost trimis către adresa dvs. de e-mail.";  
    // }
     
   //}else{
    // $nuexista = "Această adresă de e-mail nu există în baza de date.";
  // }

 }


// Sfarsit recuperare parola


// Adaugare anunt
if(isset($_POST['anuntnou']) == true){
   if(empty($_POST['titlu'])){
    $err_titlu = "Trebuie să scrieți un titlu";
   }else{
    $titlu = $_POST['titlu'];
   }
   
   $catid  = $_POST['cat_id'];
   //$scatid = $_POST['scat_id'];
   $scatid = '0';    
   
   if(empty($_POST['continut'])){
    $err_continut = "Trebuie să scrieți un continut";
   }else{
    $continut = $_POST['continut'];
   }
   if(empty($_POST['eticheta'])){
    $err_eticheta = "Trebuie să scrieți cel puțin o etichetă";
   }else{
    $eticheta = $_POST['eticheta'];
   }
   $judet = $_POST['judetul'];
   $livrare = $_POST['livrare'];
   $pret = floatval($_POST['pretul']);
   $geturlfromtitle = $titlu;
   function curatareSEO($geturlfromtitle){
    // Inlocuire spatiu cu minus.
    $geturlfromtitle = str_replace(' ', '-', $geturlfromtitle);    
    
    // inlocuire litere sau trascrieri precum -
    $geturlfromtitle = preg_replace('~[^\pL\d]+~u', '-', $geturlfromtitle);
    
    // transliterate
    setlocale(LC_CTYPE, 'ro_RO');
    $geturlfromtitle = iconv('UTF-8', 'ASCII//TRANSLIT', $geturlfromtitle);

    // Stergere caractere speciale.
    $geturlfromtitle = preg_replace('/[^A-Za-z0-9\-]/', '', $geturlfromtitle);
    
    // Inlocuire multiple minusuri cu unul singur.
    $geturlfromtitle = preg_replace('/-+/', '-', $geturlfromtitle);
    
    // Caractere mici
    $geturlfromtitle = strtolower($geturlfromtitle);
    
    return $geturlfromtitle;
}
   
   $seo = curatareSEO($geturlfromtitle);
   $uid = $_SESSION['user_id'];
   $uip = $_POST['uip'];
   $verificare = md5(uniqid(rand(), true));
   $dataseo = date('wjnyGis');
   $seof = $dataseo.'-'.$seo;
   //$seof = $seo;
   
   
   if($titlu && $continut && $eticheta){    
    $qaddnou = "INSERT INTO `anunturi`(`aid`, `uid`, `cat_id`, `scat_id`, `titlu`, `descriere`, `etichete`, `pret`, `seo`, `verificat`, `aprobat`, `refuzat`, `motiv`, `judet`, `livrare`, `promovare`, `vizualizari`, `ip`, `data_publicarii`, `data_modificarii`) VALUES('0','$uid','$catid','$scatid','$titlu','$continut','$eticheta','$pret','$seof','$verificare','0', '0','','$judet','$livrare','0', '0', '$uip', NOW(), NOW())";
    $raddnou = $dbc->query($qaddnou)  or die($dbc->error);
    $lastaid = $dbc->insert_id;
    if($dbc->affected_rows == 1){
        $addedanunt = "Anunțul a fost adăugat. Un link de confirmare a fost trimis către adresa dvs. de e-mail";
        $url = BASE_URL;
        header( "refresh:1;url=$url" );

$rusrt = $dbc->query("SELECT * FROM `utilizatori` WHERE `uid`='".$_SESSION['user_id']."' LIMIT 1") or die($dbc->error);
     $rwut = $rusrt->fetch_assoc();
     
     if(!empty($rwut['prenume'])){
        $namet = ucfirst($rwut['prenume']);
     }else{
        $getusrem = explode("@", $rwut['email']);
        $namet = ucfirst($getusrem[0]);
     }
     
        $time = date("H");        
    if ($time < "12") {
        $salut = "Bună dimineața";
    } else    
    if ($time >= "12" && $time < "17") {
        $salut = "Bună ziua";
    } else    
    if ($time >= "17" && $time < "19") {
        $salut = "Bună seara";
    } else    
    if ($time >= "19") {
        $salut = "Bună seara";
    }
   
require_once(SML.'Send_Mail.php');
$to = $rwut['email'];
$subject = BASE_NAME." :: Confirmați Anunțul!";                    
$body = "<!DOCTYPE HTML>
      <head>
      
      <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">
      <meta name=\"viewport\" content=\"width=device-width, initial-scale=1, user-scalable=no\">
      <title>Confirmați Anunțul!</title>
      </head>
      <body>
      <div style=\"margin:16px;width:800px;max-width:100%;\">
      
      <div style=\"margin:16px;padding:16px;\">
      <p>{$salut} <strong>{$namet}</strong>!</p>
      <p>Vă mulțumim că ați adăugat un anunț pe site-ul ".BASE_NAME."!</p>
      <p>Pentru confirmarea anunțului, mergeți cu clic pe link-ul de mai jos:</p>\n\n";
$body .= '<p><a href="'. BASE_URL . 'load.php?page=act&x=' . $_SESSION['user_id'] . '&y='.$verificare.'&z='.$lastaid.'" target="_blank"><strong>Confirmare anunț</strong></a></p>';
$body .= '<p>---</p>
          <p>Salutări calde,<br />
              &nbsp;&nbsp;&nbsp;&nbsp; Echipa <a href="'. BASE_URL . '" style="text-decoration:none;">'.BASE_NAME.'</a></p>
          </div></div>
</body>
</html>';
                    
Send_Mail($to,$subject,$body);
        
    }else{
       $err_add_anunt = "Anunțul nu a putut fi adăugat"; 
    }
    
    if(!empty($lastaid)){
        $last_id = $lastaid;        
    }else{
        $err_id = "Eroare ID";
    }    
    
    if($last_id == true){
     
    $allowTypes   = array('jpg','png','jpeg','gif');
    
    $uploaded_images = array();    
    foreach($_FILES['poze']['name'] as $key=>$val){
    
    $fileData    = pathinfo(basename($_FILES["poze"]["name"][$key]));
    $filenameu   = date('wjnyGis').'_'.uniqid() . '.' . $fileData['extension'];
    $upload_file = ($_SERVER['DOCUMENT_ROOT'] . PATH ."/imagini/" . $filenameu);
    
    
    // NEATRIBUIT
    if ($_FILES['poze']['size'] > 2000000) {
        $filelarge = ('Un fisier este prea mare.');
    }
    
    if(move_uploaded_file($_FILES['poze']['tmp_name'][$key],$upload_file)){    
    $uploaded_poze[] = $upload_file;    
    $upload_db = "INSERT INTO `imagini`(`fid`, `aid`, `uid`, `nume_fisier`, `data_incarcarii`) VALUES ('0','".$last_id."','".$uid."','".$filenameu."', NOW())";    
    $rupload = $dbc->query($upload_db)  or die($dbc->error);    
    if($dbc->affected_rows == 1){
        $fileuploaded = "Pozele s-au încărcat";
       }
     }     
   }
  }  
 }else{
    $incercdinnou = "Incercati din nou";
   }
 }
// Sfarsit aduagare anunt

// Actualizare Profil
if(isset($_POST['actualizareprofil']) == true){
    $prenume = $_POST['prenume'];
    $nume    = $_POST['nume'];
    $mobil   = $_POST['mobil'];
    $moneda  = $_POST['moneda'];
    $uid     = $_POST['uid'];
    
    $qactprof = 'UPDATE `utilizatori` SET `prenume`="'.$prenume.'", `nume`="'.$nume.'", `mobil`="'.$mobil.'", `moneda`="'.$moneda.'", `data_m`= NOW() WHERE `uid`="'.$uid.'"';
    $ractprof = $dbc->query($qactprof)  or die($dbc->error);
    
    if($dbc->affected_rows == 1){
        $actualizare = "1";        
    }else{
        $actualizare = "0";
    }
}
// Sfarsit actualizare Profil

// Sterge un anunt personal
if(isset($_POST['sterganuntulmeu']) == true){
    $aid = $_POST['aid'];
    $uid = $_POST['uid'];    
    
    $qdam = 'DELETE FROM `anunturi` WHERE `aid`="'.$aid.'" AND `uid`="'.$_POST['uid'].'"';
    $rdam = $dbc->query($qdam) or die($dbc->error);
    
    if($dbc->affected_rows == 1){        
        $remimg = $dbc->query('SELECT * FROM `imagini` WHERE `aid`="'.$_POST['aid'].'"') or die($dbc->error);
         while($delimg = $remimg->fetch_assoc()){
            unlink('imagini/'.$delimg['nume_fisier']);
            }
         if($dbc->affected_rows == 1){
         $rimaged = $dbc->query('DELETE FROM `imagini` WHERE `aid`="'.$_POST['aid'].'"') or die($dbc->error);                  }
        $stareanunt = 1;
    }else{
        $stareanunt = 2;
    }
}
// Sfarsit de stergere anunt personal

// Sterge un anunt personal
if(isset($_POST['admdeletead']) == true){
    $aid = $_POST['aid'];
    
    $rdam = $dbc->query("DELETE FROM `anunturi` WHERE `aid`='".$aid."'") or die($dbc->error);
    
    if($dbc->affected_rows == 1){        
        $remimg = $dbc->query('SELECT * FROM `imagini` WHERE `aid`="'.$_POST['aid'].'"') or die($dbc->error);
         while($delimg = $remimg->fetch_assoc()){
            unlink('imagini/'.$delimg['nume_fisier']);
            }
         if($dbc->affected_rows == 1){
         $rimaged = $dbc->query('DELETE FROM `imagini` WHERE `aid`="'.$_POST['aid'].'"') or die($dbc->error);                  }
        $stareanunt = 1;
    }else{
        $stareanunt = 2;
    }
}
// Sfarsit de stergere anunt personal

// Editez anuntul meu
if(isset($_POST['editezanuntulmeu']) == true){
    if(empty($_POST['titlu'])){
    $err_titlu = "Trebuie să scrieți un titlu";
   }else{
    $titlu = $_POST['titlu'];
   }
   if(empty($_POST['continut'])){
    $err_continut = "Trebuie să scrieți un continut";
   }else{
    $continut = $_POST['continut'];
   }
   if(empty($_POST['eticheta'])){
    $err_eticheta = "Trebuie să scrieți cel puțin o etichetă";
   }else{
    $eticheta = $_POST['eticheta'];
   }
   $judet = $_POST['judetul'];
   $livrare = $_POST['livrare'];
   $pret = floatval($_POST['pretul']);
   
   $geturlfromtitle = $titlu;
   function curatareSEO($geturlfromtitle){
    // Inlocuire spatiu cu minus.
    $geturlfromtitle = str_replace(' ', '-', $geturlfromtitle);    
    
    // inlocuire litere sau trascrieri precum -
    $geturlfromtitle = preg_replace('~[^\pL\d]+~u', '-', $geturlfromtitle);
    
    // transliterate
    setlocale(LC_CTYPE, 'ro_RO');
    $geturlfromtitle = iconv('UTF-8', 'ASCII//TRANSLIT', $geturlfromtitle);

    // Stergere caractere speciale.
    $geturlfromtitle = preg_replace('/[^A-Za-z0-9\-]/', '', $geturlfromtitle);
    
    // Inlocuire multiple minusuri cu unul singur.
    $geturlfromtitle = preg_replace('/-+/', '-', $geturlfromtitle);
    
    // Caractere mici
    $geturlfromtitle = strtolower($geturlfromtitle);
    
    return $geturlfromtitle;
}
   
   $seo = curatareSEO($geturlfromtitle);  
   $aid = $_POST['aid'];
   $uip = $_POST['uip'];
   $uid = $_SESSION['user_id'];
   $verificare = md5(uniqid(rand(), true));
   
   
   if($titlu && $continut && $eticheta){    
    $qeditanunt = "UPDATE `anunturi` SET `titlu`='$titlu', `descriere`='$continut', `etichete`='$eticheta', `pret`='$pret', `seo`='$seo', `verificat`='$verificare', `aprobat`='0', `judet`='$judet', `livrare`='$livrare', `ip`='$uip', `data_modificarii`=NOW() WHERE `aid`='$aid' AND `uid`='$uid'";
    $reditanunt = $dbc->query($qeditanunt) or die($dbc->error);
    
    if($dbc->affected_rows == 1){
        $stareEanunt = 1;
        $url = BASE_URL;
        header( "refresh:10;url=$url" );
        
        require_once(SML.'Send_Mail.php');
$to = $_SESSION['email'];
$subject = BASE_NAME." :: Confirmați Actualizarea anunțului!";                    
$body = "<!DOCTYPE HTML>
      <head>
      
      <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">
      <meta name=\"viewport\" content=\"width=device-width, initial-scale=1, user-scalable=no\">
      <title>Confirmați Anunțul!</title>
      </head>
      <body>
      <div style=\"margin:16px;width:800px;max-width:100%;\">
      
      <div style=\"margin:16px;padding:16px;\">
      <p>Bun găsit!</p>
      <p>Vă mulțumim că ați adăugat un anunț pe care l-ați actualizat, pe site-ul ".BASE_NAME."!</p>
      <p>Pentru confirmarea actualizării anunțului, mergeți cu clic pe link-ul de mai jos:<br/>
      (sau puteți copia adresa URL, apoi să o lipiți în browser)</p>\n\n";
$body .= '<p><a href="'. BASE_URL . 'load.php?page=act&x=' . $_SESSION['user_id'] . '&y='.$verificare.'&z='.$aid.'" target="_blank">'. BASE_URL . 'load.php?page=act&x=' . $_SESSION['user_id'] . '&y='.$verificare.'&z='.$aid.'</a></p>';
$body .= '<p>---</p>
          <p>Salutări calde,<br />
              &nbsp;&nbsp;&nbsp;&nbsp; Echipa <a href="'. BASE_URL . '" style="text-decoration:none;">'.BASE_NAME.'</a></p>
          </div></div>
</body>
</html>';
                    
Send_Mail($to,$subject,$body);
        
    }else{
       $stareEanunt = 2; 
    }    
    
    if(isset($_FILES['poze']) == true){

$allowTypes   = array('jpg','png','jpeg','gif');
    
    $uploaded_images = array();    
    foreach($_FILES['poze']['name'] as $key=>$val){
      
    $fileData    = pathinfo(basename($_FILES["poze"]["name"][$key]));
    $filenameu   = date('wjnyGis').'_'.uniqid() . '.' . $fileData['extension'];
    $upload_file = ($_SERVER['DOCUMENT_ROOT'] . PATH ."/imagini/" . $filenameu);
    
    

    
    
    //  NEATRIBUIT
    if ($_FILES['poze']['size'] < 2000000) {
        $filelarge = ('Un fisier este prea mare.');
    }
    
    if(move_uploaded_file($_FILES['poze']['tmp_name'][$key],$upload_file)){    
    $uploaded_poze[] = $upload_file;    
    $upload_db = "INSERT INTO `imagini`(`fid`, `aid`, `uid`, `nume_fisier`, `data_incarcarii`) VALUES ('0','".$aid."','".$_SESSION['user_id']."','".$filenameu."', NOW())";    
    $rupload = $dbc->query($upload_db) or die($dbc->error);    
    if($dbc->affected_rows == 1){
        $fileuploaded = "Pozele s-au încărcat";
       }
     }     
   }    
    }  
   }else{
    $incercdinnou = "Incercati din nou";
   }
 }
// Sfârsit de editare la anunțul meu

// Trimitere mesaj de la utilizator către alt utilizator
if(isset($_POST['msgusertouser']) == true){
    $senderID   = $_POST['sender'];
    $qsu = $dbc->query("SELECT * FROM `utilizatori` WHERE `uid`='".$senderID."' LIMIT 1") or die($dbc->error);
    $rsu = $qsu->fetch_assoc();
    
    if(!empty($rsu['prenume'])){
        $nametos = ucfirst($rsu['prenume']);
     }else{
        $getusse = explode("@", $rsu['email']);
        $nametos = ucfirst($getusse[0]);
     }
    
    $receiverID = $_POST['receiver'];
    $qru = $dbc->query("SELECT * FROM `utilizatori` WHERE `uid`='".$receiverID."' LIMIT 1") or die($dbc->error);
    $rru = $qru->fetch_assoc();
    
    if(!empty($rru['prenume'])){
        $nametor = ucfirst($rru['prenume']);
     }else{
        $getusre = explode("@", $rru['email']);
        $nametor = ucfirst($getusre[0]);
     }
    
    $titluanunt = $_POST['titluanuntmutu'];
    $mesajUTU   = $_POST['mesajutu'];

        $time = date("H");        
    if ($time < "12") {
        $salut = "Bună dimineața";
    } else    
    if ($time >= "12" && $time < "17") {
        $salut = "Bună ziua";
    } else    
    if ($time >= "17" && $time < "19") {
        $salut = "Bună seara";
    } else    
    if ($time >= "19") {
        $salut = "Bună seara";
    }
        
require_once(SML.'Send_Mail.php');
$to = $rru['email'];
$subject = BASE_NAME." :: Mesaj nou!";                    
$body = "<!DOCTYPE HTML>
      <head>
      
      <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">
      <meta name=\"viewport\" content=\"width=device-width, initial-scale=1, user-scalable=no\">
      <title>Mesaj nou de la $nametos</title>
      </head>
      <body>
      <div style=\"margin:16px;width:800px;max-width:100%;\">
      
      <div style=\"margin:16px;padding:16px;\">
      <p>$salut <strong>$nametor</strong>!</p>
      <p>Ați primit un mesaj la anunțul dvs.(<em><strong>$titluanunt</strong></em>) de pe site-ul ".BASE_NAME."!</p>
      <p>Conținutul mesajului este:
      <p style=\"margin-top:-30px;white-space: pre; padding:15px;border: dotted 1px #339966;\">$mesajUTU</p><p>Mesaj semnat de: <strong>$nametos (".$rsu['mobil'].")</strong></p>
      <strong>Notă!</strong> <em>Acest mesaj este cu scop informativ, nu puteți răspunde la el, deoarece este trimis de sistem, iar protecția datelor GDPR nu ne permite partajarea datelor utilizatorilor.</em></p>\n\n";

$body .= '<p>---</p>
          <p>Salutări calde,<br />
              &nbsp;&nbsp;&nbsp;&nbsp; Echipa <a href="'. BASE_URL . '" style="text-decoration:none;">'.BASE_NAME.'</a></p>
          </div></div>
</body>
</html>';                   
  Send_Mail($to,$subject,$body);
  
  if($mail->Send !== true){
        $mutuok = '1';        
    }else{
        $mutunot = '1';
    }
     
 }
// END Trimitere mesaj de la utilizator către alt utilizator

// Trimitere mesaj e-mail de la vizitator către prieten
if(isset($_POST['trimite_email']) == true){
    
    $numesender    = $_POST['numesender'];
    $emailsender   = $_POST['emailsender'];
    $numereceiver  = $_POST['numereceiver'];
    $emailreceiver = $_POST['emailreceiver'];
    $mesajsender   = $_POST['mesajsender'];
    
    $titluanuntemail = $_POST['titluanuntemail'];
    $seoanuntemail = $_POST['seoanuntemail'];    

        $time = date("H");        
    if ($time < "12") {
        $salut = "Bună dimineața";
    } else    
    if ($time >= "12" && $time < "17") {
        $salut = "Bună ziua";
    } else    
    if ($time >= "17" && $time < "19") {
        $salut = "Bună seara";
    } else    
    if ($time >= "19") {
        $salut = "Bună seara";
    }
        
require_once(SML.'Send_Mail.php');
$to = $emailreceiver;
$subject = BASE_NAME." :: $numesender îți recomandă!";                    
$body = "<!DOCTYPE HTML>
      <head>
      
      <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">
      <meta name=\"viewport\" content=\"width=device-width, initial-scale=1, user-scalable=no\">
      <title>Recomandare de la $numesender</title>
      </head>
      <body>
      <div style=\"margin:16px;width:800px;max-width:100%;\">
      
      <div style=\"margin:16px;padding:16px;\">
      <p>$salut <strong>$numereceiver</strong>!</p>
      <p>Ați primit un mesaj de la prietenul(a) dvs. <strong>$numesender</strong> de pe site-ul ".BASE_NAME."!</p>
      <p>Conținutul recomandat este: <a href=\"".BASE_URL.$seoanuntemail.".html\" target=\"_blank\"><strong>$titluanuntemail</strong></a><br/>
      Iar mesajul trimis este:
      <p style=\"margin-top:-30px;white-space: pre; padding:15px;border: dotted 1px #339966;\">$mesajsender</p><p>Mesaj semnat de: <strong>$numesender ($emailsender)</strong></p>
      <strong>Notă!</strong> <em>Acest mesaj este cu scop informativ, nu puteți răspunde la el, deoarece este trimis de sistem, iar protecția datelor GDPR nu ne permite partajarea datelor utilizatorilor.</em></p>\n\n";

$body .= '<p>---</p>
          <p>Salutări calde,<br />
              &nbsp;&nbsp;&nbsp;&nbsp; Echipa <a href="'. BASE_URL . '" style="text-decoration:none;">'.BASE_NAME.'</a></p>
          </div></div>
</body>
</html>';                   
  Send_Mail($to,$subject,$body);
  
  if($mail->Send !== true){
        $emailsendemok = '1';        
    }else{
        $emailsendemnot = '1';
    }
     
 }
// END Trimitere mesaj e-mail de la vizitator către prieten

// Admin - Adaugare categorie noua
if(isset($_POST['adaugarecategorie']) == true){
    
    $catNEW_titlu     = $_POST['cat_Tnoua'];
    $catNEW_descriere = $_POST['cat_Dnoua'];
    
    function curatareSEO($catNEW_titlu){    
    $catNEW_titlu = str_replace(' ', '-', $catNEW_titlu);
    $catNEW_titlu = preg_replace('~[^\pL\d]+~u', '-', $catNEW_titlu);
    setlocale(LC_CTYPE, 'ro_RO');
    $catNEW_titlu = iconv('UTF-8', 'ASCII//TRANSLIT', $catNEW_titlu);
    $catNEW_titlu = preg_replace('/[^A-Za-z0-9\-]/', '', $catNEW_titlu);
    $catNEW_titlu = preg_replace('/-+/', '-', $catNEW_titlu);
    $catNEW_titlu = strtolower($catNEW_titlu);
    return $catNEW_titlu;
}   
    $catNEW_seo = curatareSEO($catNEW_titlu);    
    
    $qaddCatN = "INSERT INTO `categorii`(`cat_id`, `titlu`, `descriere`, `seo`, `data_a`, `data_m`) VALUES ('0', '$catNEW_titlu', '$catNEW_descriere', 'cat-$catNEW_seo', NOW(), NOW() )";
    $raddCatN = $dbc->query($qaddCatN) or die($dbc->error);
    
    if($dbc->affected_row == 1){
        $starecatN = '1';
    }else{
        $starecatN = '2';
    }
}

// Admin - Adaugare sub-categorie noua
if(isset($_POST['adaugarescategorie']) == true){
    
    $catID             = $_POST['catID'];
    $scatNEW_titlu     = $_POST['scat_Tnoua'];
    $scatNEW_descriere = $_POST['scat_Dnoua'];
    
    function curatareSEO($scatNEW_titlu){    
    $scatNEW_titlu = str_replace(' ', '-', $scatNEW_titlu);
    $scatNEW_titlu = preg_replace('~[^\pL\d]+~u', '-', $scatNEW_titlu);
    setlocale(LC_CTYPE, 'ro_RO');
    $scatNEW_titlu = iconv('UTF-8', 'ASCII//TRANSLIT', $scatNEW_titlu);
    $scatNEW_titlu = preg_replace('/[^A-Za-z0-9\-]/', '', $scatNEW_titlu);
    $scatNEW_titlu = preg_replace('/-+/', '-', $scatNEW_titlu);
    $scatNEW_titlu = strtolower($scatNEW_titlu);
    return $scatNEW_titlu;
}   
    $scatNEW_seo = curatareSEO($scatNEW_titlu);    
    
    $qaddsCatN = "INSERT INTO `scategorii`(`scat_id`, `cat_id`, `titlu`, `descriere`, `seo`, `date_a`, `date_m`) VALUES ('0', '$catID', '$scatNEW_titlu', '$scatNEW_descriere', 'scat-$scatNEW_seo', NOW(), NOW() )";
    $raddsCatN = $dbc->query($qaddsCatN) or die($dbc->error);
    
    if($dbc->affected_row == 1){
        $stareScatN = '1';
    }else{
        $stareScatN = '2';
    }
 }

// Aprobă anunț
if(isset($_POST['aprobanunt']) == true){
    $aid = $_POST['aid'];    

$qaproba = 'UPDATE `anunturi` SET `aprobat`="1" WHERE `aid`="'.$aid.'"';
    $raproba = $dbc->query($qaproba) or die($dbc->error);
    
    if($dbc->affected_rows == 1){
        
        $qact = 'SELECT * FROM `anunturi` WHERE `aid`="'.$aid.'" LIMIT 1';
        $ract = $dbc->query($qact) or die($dbc->error);
        $rwact = $ract->fetch_assoc();        
        
        $qusr = 'SELECT * FROM `utilizatori` WHERE `uid`="'.$rwact['uid'].'" LIMIT 1';
        $rusr = $dbc->query($qusr) or die($dbc->error);
        $rwusr = $rusr->fetch_assoc();
        
        
     require_once(SML.'Send_Mail.php');
     $to = $rwusr['email'];
     $subject = BASE_NAME." :: Anunț Publicat!";                    
     $body = "<!DOCTYPE HTML>
      <head>
      
      <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">
      <meta name=\"viewport\" content=\"width=device-width, initial-scale=1, user-scalable=no\">
      <title>Anunțul a fost publicat!</title>
      </head>
      <body>
      <div style=\"margin:16px;width:800px;max-width:100%;\">
      
      <div style=\"margin:16px;padding:16px;\">
      <p>Bun găsit!</p>
      <p>Vă mulțumim că ați adăugat un anunț pe site-ul ".BASE_NAME."!</p>
      <p>Un moderator a verificat anunțul dvs. și la aprobat.<br/>
      Puteți vedea anunțul online la adresa de mai jos:<br/></p>\n\n";
    $body .= '<p><a href="'.BASE_URL.$rwact['seo'].'.html" target="_blank">'.BASE_URL.$rwact['seo'].'.html</a></p>';
    $body .= '<p>---</p>
          <p>Salutări calde,<br />
              &nbsp;&nbsp;&nbsp;&nbsp; Echipa <a href="'. BASE_URL . '" style="text-decoration:none;">'.BASE_NAME.'</a></p>
      </div></div>
      </body>
      </html>';
                    
  Send_Mail($to,$subject,$body);
        
        $actualizat = '<div class="w3-panel w3-green"><h3><i class="fa fa-check"></i> Anunțul a fost aprobat</h3></div>';        
    }else{
        $neactualizat = '<div class="w3-panel w3-red"><h3><i class="fa fa-check"></i> Anunțul nu a putut fi aprobat</h3></div>';
    }    
}

// Refuză anunț
if(isset($_POST['refuzanunt']) == true){
    $aid   = $_POST['aid'];    
    $motiv = $_POST['motiv'];

$qaproba = 'UPDATE `anunturi` SET `refuzat`="1", `motiv`="'.$motiv.'" WHERE `aid`="'.$aid.'"';
    $raproba = $dbc->query($qaproba) or die($dbc->error);
    
    if($dbc->affected_rows == 1){
        $refuzat = '<div class="w3-panel w3-blue"><h3><i class="fa fa-check"></i> Anunțul a fost refuzat</h3></div>';
        
        $qactr = 'SELECT * FROM `anunturi` WHERE `aid`="'.$aid.'" LIMIT 1';
        $ractr = $dbc->query($qactr);
        $rwactr = $ractr->fetch_assoc();        
        
        $qusr = 'SELECT * FROM `utilizatori` WHERE `uid`="'.$rwactr['uid'].'" LIMIT 1';
        $rusr = $dbc->query($qusr);
        $rwusr = $rusr->fetch_assoc();
        
        
     require_once(SML.'Send_Mail.php');
     $to = $rwusr['email'];
     $subject = BASE_NAME." :: Anunț Refuzat!";                    
     $body = "<!DOCTYPE HTML>
      <head>
      
      <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">
      <meta name=\"viewport\" content=\"width=device-width, initial-scale=1, user-scalable=no\">
      <title>Anunțul a fost Refuzat!</title>
      </head>
      <body>
      <div style=\"margin:16px;width:800px;max-width:100%;\">
      
      <div style=\"margin:16px;padding:16px;\">
      <p>Bun găsit!</p>
      <p>Vă mulțumim că ați adăugat un anunț pe site-ul ".BASE_NAME."!</p>
      <p>Un moderator a verificat anunțul dvs. și la <strong>REFUZAT</strong>.</p>
      <p>Motivul refuzului: <strong>".$motiv."</strong></p>
      <p>Vă rugăm să mergeți în contul dvs., la secțiunea \"<em>Anunțurile mele</em>\"<br/> și să editați anunțul: <strong>".$rwactr['titlu']."</strong><br/></p>\n\n";
    $body .= '<p><a href="'.BASE_URL.'anunturile-mele.html" target="_blank">'.BASE_URL.'anunturile-mele.html</a></p>';
    $body .= '<p>---</p>
          <p>Salutări calde,<br />
              &nbsp;&nbsp;&nbsp;&nbsp; Echipa <a href="'. BASE_URL . '" style="text-decoration:none;">'.BASE_NAME.'</a></p>
      </div></div>
      </body>
      </html>';
                    
  Send_Mail($to,$subject,$body);
                
    }else{
        $nerefuzat = '<div class="w3-panel w3-red"><h3><i class="fa fa-check"></i> Anunțul nu a putut fi refuzat</h3></div>';
    }    
}

// Editare anunț din Admin
if(isset($_POST['aeditareanunt']) == true){
    $aid   = $_POST['aid'];    
    $titlu = $_POST['titlu'];
    $descriere = $_POST['descriere'];
    $catid = $_POST['categorie'];   
    $scatid = $_POST['scat'];    
    $etichete = $_POST['etichete'];

$qaedit = 'UPDATE `anunturi` SET `cat_id`="'.$catid.'", `scat_id`="'.$scatid.'", `titlu`="'.$titlu.'", `descriere`="'.$descriere.'", `etichete`="'.$etichete.'", `data_modificarii`=NOW() WHERE `anunturi`.`aid`="'.$aid.'"';
    $raedit = $dbc->query($qaedit);
    
    if($dbc->affected_rows == 1){
        $acta = '<div class="w3-panel w3-green"><h3><i class="fa fa-check"></i> Anunțul a fost actualizat</h3></div>';        
    }else{
        $neacta = '<div class="w3-panel w3-red"><h3><i class="fa fa-check"></i> Anunțul nu a putut fi actualizat</h3></div>';
    }    
}

// șterge imagine
if(isset($_POST['stergeImagine']) == true){
    $titlu = $_POST['titlu'];   
    $continut = $_POST['continut'];   
    $eticheta = $_POST['eticheta'];  
    $judet = $_POST['judetul'];
    $livrare = $_POST['livrare'];
    $pret = floatval($_POST['pretul']);
    
    $aid = $_POST['aid'];
    $uid = $_SESSION['user_id'];
    $delimgid = $_POST['delIMGid'];
    $delimgnume = $_POST['del_nume_fisier'];
    
    $qdelimg = 'DELETE FROM `imagini` WHERE `fid`="'.$delimgid.'"';
    $rdelimg = $dbc->query($qdelimg);
    
    if($dbc->affected_rows == 1){
        unlink(PATH.'imagini/'.$delimgnume);
    }    
}

// Editare categorie din Admin
if(isset($_POST['aeditarecat']) == true){
    $cid   = $_POST['cid'];    
    $titlu = $_POST['titlu'];
    $descriere = $_POST['descriere'];
    
    $cat_titlu = $_POST['titlu'];
    
    function curatareSEO($cat_titlu){    
    $cat_titlu = str_replace(' ', '-', $cat_titlu);
    $cat_titlu = preg_replace('~[^\pL\d]+~u', '-', $cat_titlu);
    setlocale(LC_CTYPE, 'ro_RO');
    $cat_titlu = iconv('UTF-8', 'ASCII//TRANSLIT', $cat_titlu);
    $cat_titlu = preg_replace('/[^A-Za-z0-9\-]/', '', $cat_titlu);
    $cat_titlu = preg_replace('/-+/', '-', $cat_titlu);
    $cat_titlu = strtolower($cat_titlu);
    return $cat_titlu;
}   
    $cat_seo = curatareSEO($cat_titlu);
    

$qcedit = 'UPDATE `categorii` SET `titlu`="'.$titlu.'", `descriere`="'.$descriere.'", `seo`="cat-'.$cat_seo.'", `data_m`=NOW() WHERE `categorii`.`cat_id`="'.$cid.'"';
    $rcedit = $dbc->query($qcedit);
    
    if($dbc->affected_rows == 1){
        $actc = '1';        
    }else{
        $neactc = '2';
    }    
}

// Stergere categorie
if(isset($_POST['astergecat']) == true){
     $cid   = $_POST['cid'];
     
     $qdelc = 'DELETE FROM `categorii` WHERE `cat_id`="'.$cid.'"';
     $rdelc = $dbc->query($qdelc);
     
     if($dbc->affected_rows == 1){
        $delc = '1';        
    }else{
        $nedelc = '2';
    }
 }

// Editare sub-categorie din Admin
if(isset($_POST['aeditarescateg']) == true){
    $cid       = $_POST['cid'];
    $scid      = $_POST['scid'];
    $titlu     = $_POST['titlu'];
    $descriere = $_POST['descriere'];
    
    $scat_titlu = $_POST['titlu'];
    
    function curatareSEO($scat_titlu){    
    $scat_titlu = str_replace(' ', '-', $scat_titlu);
    $scat_titlu = preg_replace('~[^\pL\d]+~u', '-', $scat_titlu);
    setlocale(LC_CTYPE, 'ro_RO');
    $scat_titlu = iconv('UTF-8', 'ASCII//TRANSLIT', $scat_titlu);
    $scat_titlu = preg_replace('/[^A-Za-z0-9\-]/', '', $scat_titlu);
    $scat_titlu = preg_replace('/-+/', '-', $scat_titlu);
    $scat_titlu = strtolower($scat_titlu);
    return $scat_titlu;
}   
    $scat_seo = curatareSEO($scat_titlu);
    

$qscedit = 'UPDATE `scategorii` SET `cat_id`="'.$cid.'", `titlu`="'.$titlu.'", `descriere`="'.$descriere.'", `seo`="scat-'.$scat_seo.'", `date_m`=NOW() WHERE `scat_id`="'.$scid.'"';
    $rscedit = $dbc->query($qscedit);
    
    if($dbc->affected_rows == 1){
        $actsc = '1';        
    }else{
        $neactsc = '2';
    }    
}

// Stergere sub-categorie
if(isset($_POST['astergescateg']) == true){
     $scid   = $_POST['scid'];
     
     $qdelc = 'DELETE FROM `scategorii` WHERE `scat_id`="'.$scid.'"';
     $rdelc = $dbc->query($qdelc);
     
     if($dbc->affected_rows == 1){
        $delsc = '1';        
    }else{
        $nedelsc = '2';
    }
 }

// Trimite mesaj
if(isset($_POST['atrimitemesaj']) == true){
     $sub = $_POST['subiect'];
     $con = $_POST['continut'];
     $uid = $_POST['uid'];          
     
     $rusrt = $dbc->query("SELECT * FROM `utilizatori` WHERE `uid`='$uid' LIMIT 1") or die($dbc->error);
     $rwut = $rusrt->fetch_assoc();
     
     if(!empty($rwut['prenume'])){
        $namet = ucfirst($rwut['prenume']);
     }else{
        $getusrem = explode("@", $rwut['email']);
        $namet = ucfirst($getusrem[0]);
     }
     
        $time = date("H");        
    if ($time < "12") {
        $salut = "Bună dimineața";
    } else    
    if ($time >= "12" && $time < "17") {
        $salut = "Bună ziua";
    } else    
    if ($time >= "17" && $time < "19") {
        $salut = "Bună seara";
    } else    
    if ($time >= "19") {
        $salut = "Bună seara";
    }
     
     include(SML.'Send_Mail.php');
     $to = $rwut['email'];
     $subject = BASE_NAME." :: Mesaj nou";                    
     $body = "<!DOCTYPE HTML>
      <head>
      
      <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">
      <meta name=\"viewport\" content=\"width=device-width, initial-scale=1, user-scalable=no\">
      <title>{$sub}</title>
      </head>
      <body>
      <div style=\"margin:16px;width:800px;max-width:100%;\">
      
      <div style=\"margin:16px;padding:16px;\">
      <p>{$salut} <strong>{$namet}</strong>!</p>
      <p style=\"margin-bottom:-20px;\">Ați primit un mesaj nou de la Administratorul site-ului <a style=\"text-decoration: none;\" href=\"".BASE_URL."\" target=\"_blank\"><strong>".BASE_NAME."</strong></a>,<br/>cu următorul subiect:</p>
      <p style=\"margin-top:-30px;padding:5px;border: dotted 1px #339966;\"><strong>{$sub}</strong></p>
      <p style=\"margin-bottom:-20px;\">Conținutul mesajului este:</p>\n\n";
    $body .= "<p style=\"margin-top:-30px;white-space: pre; padding:15px;border: dotted 1px #339966;\">{$con}</p>
    <p><em><strong>Notă!</strong> Mesajul este cu titlu informativ, nu trebuie să răspundeți!</em></p>";
    $body .= '<p>---</p>
          <p>Salutări calde,<br />
              &nbsp;&nbsp;&nbsp;&nbsp; Echipa <a style="text-decoration: none;" href="'. BASE_URL . '" target="_blank">'.BASE_NAME.'</a></p>
      </div></div>
      </body>
      </html>';
                    
  Send_Mail($to,$subject,$body);
     
     if($mail->Send !== true){
        $msent = '1';        
    }else{
        $mnotsent = '2';
    }
 }

// Actualizare Profil din Admin
if(isset($_POST['aeditareprofil']) == true){
    $prenume = $_POST['prenume'];
    $nume    = $_POST['nume'];
    $mobil   = $_POST['mobil'];
    $moneda  = $_POST['moneda'];
    $uid     = $_POST['uid'];
    $level   = $_POST['level'];
        
    $rep = $dbc->query('UPDATE `utilizatori` SET `level`="'.$level.'", `prenume`="'.$prenume.'", `nume`="'.$nume.'", `mobil`="'.$mobil.'", `moneda`="'.$moneda.'", `data_m`= NOW() WHERE `uid`="'.$uid.'"');
    
    if($dbc->affected_rows == 1){
        $actep = "1";        
    }else{
        $nactep = "1";
    }
}
// Sfarsit actualizare Profil din Admin

// Blocare profil
if(isset($_POST['blockusr']) == true){    
    $uid     = $_POST['uid'];
    $level   = $_POST['level'];
    
    if($level !== '1'){        
    $rep = $dbc->query('UPDATE `utilizatori` SET `blk`="1" WHERE `uid`="'.$uid.'"');
    }
    
    if($dbc->affected_rows == 1){
        $blockp = "1";        
    }else{
        $nblockp = "1";
    }
}
// Blocare profil

// DeBlocare profil
if(isset($_POST['unblockusr']) == true){    
    $uid     = $_POST['uid'];    
           
    $rep = $dbc->query('UPDATE `utilizatori` SET `blk`="0" WHERE `uid`="'.$uid.'"');   
    
    if($dbc->affected_rows == 1){
        $unblockp = "1";        
    }else{
        $nunblockp = "1";
    }
}
// DeBlocare profil

// Actualizare Pagina
if(isset($_POST['aeditarepagina']) == true){
    $titlu = $_POST['titlu'];
    $descriere    = $_POST['descriere'];
    $continut   = $_POST['continut'];        
    $pid     = $_POST['pid'];    
    
    if($_SESSION['level'] == 1){
    $rp = $dbc->query('UPDATE `pagina` SET `uid`="'.$_SESSION['user_id'].'", `titlu`="'.$titlu.'", `descriere`="'.$descriere.'", `continut`="'.$continut.'", `data_update`= NOW() WHERE `pid`="'.$pid.'"');
    }
    
    if($dbc->affected_rows == 1){
        $actp = "1";        
    }else{
        $nactp = "1";
    }
}
// Sfarsit actualizare Pagina

// Actualizare Setări
if(isset($_POST['actsetariform']) == true){
    
    $numesite = $_POST['nume_site'];
    $domeniu  = $_POST['domeniu'];
    $prefix   = $_POST['www'];        
    $https    = $_POST['https'];
    
    $tipmail  = $_POST['tipmail'];
    $mailfrom = $_POST['mailfrom'];
    $mailhost = $_POST['mailhost'];        
    $mailuser = $_POST['mailuser'];
    $mailpass = $_POST['mailpass'];
    $mailport = $_POST['mailport'];
    
    $wgoogle  = $_POST['wgoogle'];
    $wbing    = $_POST['wbing'];
    $wyandex  = $_POST['wyandex'];
    $wwot     = $_POST['wwot'];
    $wnorton  = $_POST['norton'];
    $robots   = $_POST['robots'];
    $revisit  = $_POST['revisit'];
    
    $headc    = $dbc->real_escape_string($_POST['headc']);
    $footc    = $dbc->real_escape_string($_POST['footc']);
    
    $mobile   = $_POST['mobil'];
    $aemail   = $_POST['aemail'];
    
    $logoa     = $_POST['logo'];
    $bannera   = $_POST['banner'];
    $codbannera = $_POST['cod_banner'];
    
    
    if($_SESSION['level'] == 1){
    $rsetact = $dbc->query('UPDATE `setari` SET `nume`="'.$numesite.'", `https`="'.$https.'", `www`="'.$prefix.'", `domeniu`="'.$domeniu.'", `tipmail`="'.$tipmail.'", `mailfrom`="'.$mailfrom.'", `mailhost`="'.$mailhost.'", `mailport`="'.$mailport.'", `mailuser`="'.$mailuser.'", `mailpass`="'.$mailpass.'", `wgoogle`="'.$wgoogle.'", `wbing`="'.$wbing.'", `wyandex`="'.$wyandex.'", `wwot`="'.$wwot.'", `wnorton`="'.$wnorton.'", `robots`="'.$robots.'", `revisit`="'.$revisit.'", `headc`="'.$headc.'", `footc`="'.$footc.'", `mobil`="'.$mobile.'", `aemail`="'.$aemail.'", `logo`="'.$logoa.'", `banner`="'.$bannera.'", `cod_banner`="'.$codbannera.'", `data_act`= NOW() WHERE 1=1');
    }
    
    if($dbc->affected_rows == 1){
        $setact = "1";        
    }else{
        $setneact = "1";
    }
}
// Sfarsit actualizare Setări